Page 1 of 11 123 ... LastLast
Results 1 to 20 of 206

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: iDemocracy: Mostly Automated iPhone 1.1.1 Jailbreak (for Windows)

  1. #1
    Cool iDemocracy: Mostly Automated iPhone 1.1.1 Jailbreak (for Windows)
    Greetings to everyone,

    After about three days of intensive C# programming, I've come up with an app that can automate all the difficult parts of jailbreaking an iPhone 1.1.1 and installing third-party apps. Yes: it's iDemocracy.

    The maximum interaction it will require from the user is downgrading to 1.0.2. However, it guides you through every step of the process. My goal here was to make the process put out by the true iPhone hackers easier for people who are uncomfortable with command-line software, etc, etc. It takes care of the symlink, SSH installation, installing AppTapp Installer.app, patching the SpringBoard, and patching M86AP.plist.

    I've tested this myself on my very own iPhone and I have been able to complete the whole process in about half-an-hour without any problems. While it's not a one-click solution, I'm constantly working on making it better. iDemocracy is currently supported on Windows XP and Windows Vista.

    So, if you're interested, grab a copy from http://code.google.com/p/idemocracy

    And please send all comments and suggestions to [email protected]

    Finally, thanks to NerveGas, Pumpkin, Edgan, drudge, dinopio and asap18, who wrote the Jailbreak guide for 1.1.1. I can't take any credit for the actual hacking; this software is just to make it easier for everyone.

    Thanks!
    -- Drakenza

  2. The Following 9 Users Say Thank You to Drakenza For This Useful Post:

    alz0rz (10-21-2007), Donald.Brown01 (10-22-2007), iPhonePutz (10-26-2007), mixi92 (10-21-2007), N818 (10-22-2007), plugsnet (10-23-2007), realisticmind1 (10-23-2007), rotaryheadrx7 (10-27-2007), Stymyx (10-22-2007)

  3. #2
    iPhone? More like MyPhone
    Join Date
    Sep 2007
    Location
    Cancun, Mexico
    Posts
    282
    Thanks
    4
    Thanked 31 Times in 27 Posts

    Does it activate 1.1.1 aswell?

  4. #3
    No, at present iDemocracy does not activate iPhone 1.1.1, basically because I'm a legit at&t customer and I don't have an iPhone I can risk activating or unlocking... Perhaps soon...

  5. The Following User Says Thank You to Drakenza For This Useful Post:

    Donald.Brown01 (10-22-2007)

  6. #4
    Just saw this posted on digg.
    Looks pretty awesome.
    More encouragement to upgrade.
    =D

  7. #5
    Registered especially to say:

    Many thanks for your hard work Drakenza. Not many replies or post anywhere yet refering to your program, but i want to thank you for your hard work and making such a GUI for the public. There are many people out there on windows, stuck without a GUI and lot of fussy manual labour. Your program will rock for them! Hope the word spreads quick now!

  8. #6
    So if 1.0.2 is on the phone, and it's already modded, this will bring you to 1.1.1 firmware and jailbreak etc.?

  9. #7
    @pmas: sorry, i'm afraid it's impossible to preserve any mods you have on 1.0.2 when upgrading to 1.1.1, even with iDemocracy. iTunes will brick your iPhone if you upgrade to 1.1.1 with a modded 1.0.2. iDemocracy has you restore your phone to factory settings before the patched upgrade, which is how it gets around this little predicament. But once you get to a jailbroken 1.1.1, all your apps and such should work just fine on it.

    @TJB: thank you for your kind post. Here's hoping it spreads around as well. Thanks for using iDemocracy and glad you like it. And welcome to the forums!

  10. The Following User Says Thank You to Drakenza For This Useful Post:

    Donald.Brown01 (10-22-2007)

  11. #8
    i did everything right well i think but when it got to step 8 or 9 putting installer in my phone nothing happened what do u think i did wrong

  12. #9
    A few people have had problems with the Installer.app stage and the Springboard Patch stage...
    Please keep waiting. I will release an update soon that fixes some bugs and adds activation support. Hopefully this will take care of your problems.

    -- Drakenza

  13. #10
    i used this and had a few problems and had to finish up manually.
    everything seemed to work fine til i got to the springpatch.
    i was doing this process from a fresh 1.0.2 restore with apptapp installer being the only mod done. (as well as installing bsd, openssh, and latest installer)

    springpatch just hung. i closed it a few times (as it just reopened itself) then it said it worked, unfortunately it did not after a reboot.

    SSH worked perfect, so i looked thru what was going on and it seems as if the permissions on springpatch were no being set correctly by iDemocracy.
    i fixed that and ran it manually - worked perfect.

    while i was ssh-ed, i looked thru to find that iDemocracy did not unSymlink me correctly either.
    not sure what could have caused that, but i ran the manual commands and it fixed my capacity.

    installer installed fine as well, however when i ran it after the update, it said i already had BSD, OpenSSH, and the latest installer already installed.
    i wound up editing my LocalPackages so i could reinstall what i needed.

    i know its not a finished program, but i wanted to share my experience.
    good work for the most part.

  14. #11
    Exclamation please help me drakenza
    hi,
    i just used idemocracy and everything went well untill i had to "unsymlink" where a message came up and i accidentally quit. so i started all over and now i see Installer.app and the iTunes Wifi store but when i open installer, it opens and doesnt do anything. there are no visble packages and all the buttons don't work. it looks like the default. sometimes it quits after like 20 secs. (view image below)
    What should i do to fix this? Do i have to start all over AGAIN?? please tell me theres a quick fix to this.
    thanks.
    Attached Thumbnails Attached Thumbnails Click image for larger version. 

Name:	Default.png 
Views:	186 
Size:	13.7 KB 
ID:	2826  

  15. #12
    Smile reply
    there is a way to fix installer.app

    what you have to do is SSH through to your iphone and in WinSCP

    run this command to get to the terminal press Ctrl+t

    chmod -Rf +x /Applications/ copy and paste it in then restart your iphone and it will work

  16. #13
    iPhone? More like MyPhone
    Join Date
    Aug 2007
    Location
    Iphone, Iphone.
    Posts
    225
    Thanks
    1
    Thanked 7 Times in 5 Posts

    has anyone had this work completly

  17. #14
    To everyone having problems with Installer.app and springpatch:
    This problem has to do woth incorrect permissions being caused by errors on chmod. I am currently working on this. A new version will release today that will address these issues and add unlocking through anySIM.
    Please wait, within a few hours i should have this fixed. Until then, you may have to finish manually. Remember, this app is still in development and far from perfect.

  18. #15
    Quote Originally Posted by mad102190 View Post
    hi,
    i just used idemocracy and everything went well untill i had to "unsymlink" where a message came up and i accidentally quit. so i started all over and now i see Installer.app and the iTunes Wifi store but when i open installer, it opens and doesnt do anything. there are no visble packages and all the buttons don't work. it looks like the default. sometimes it quits after like 20 secs. (view image below)
    What should i do to fix this? Do i have to start all over AGAIN?? please tell me theres a quick fix to this.
    thanks.


    I had the same exact problem you had and I started all over and when I tried to do Symlink in step 2 using the IP address of my phone it gives me "network error, conection refused". I had no problem with this step the first time I did this. Anyone have any ideas on how I can get past this?

    thanks

  19. #16
    To everyone having problems with Installer.app and springpatch:
    This problem has to do woth incorrect permissions being caused by errors on chmod. I am currently working on this. A new version will release today that will address these issues and add unlocking through anySIM.
    Please wait, within a few hours i should have this fixed. Until then, you may have to finish manually. Remember, this app is still in development and far from perfect.
    Great Drekenza!

    Please make unlocking through AnySim optional if possible! I run TurboSim for example, and only interested in jailbreaking + activation. Others of course will love the AnySim option you build in, nothing wrong with that, but if it's obligated, some people can't use your great app!
    Last edited by TJB; 10-22-2007 at 11:48 AM.

  20. #17
    Hi! I´m using IPSF and I only need to activate my 1.1.1, can iDemocracy do that?

    Best Regards

  21. #18
    Hey everyone!
    Just an update on my progress so far:
    I've finished coding the new version and am currently testing the whole process from start to finish on my own iPhone. If all goes well I'll upload it soon.
    New features:
    - Unlocking through anySIM! iDemocracy will put anySIM on your springboard and take it off for you when you're done. Don't worry, anySIM is completely optional.
    - BSD Subsystem Installation! No more problems with chmod and all the other functions.
    - BUGFIXES for SpringBoard patching problems, removal of symlink problems, 300mb capacity issue.
    - CLEANER CODE!! (But most of you don't care about that )
    - I'm afraid it still won't support activation, but we'll get there eventually.

    Look for it on the googlecode website and on Digg and everywhere else very soon.

    Thank you for your support. I hope this update fixes all your problems.

    -- Drakenza

  22. The Following 4 Users Say Thank You to Drakenza For This Useful Post:

    bgattis (10-22-2007), IriQuel (10-22-2007), Josselin (10-22-2007), sam_adn (10-22-2007)

  23. #19
    Hi,

    I'm a new french member on this great website

    First, thanks a lot Drakenza for your job

    One week ago, i purchased a brand new Iphone 8Gb but the mine is on 1.1.1

    Your software seems to be perfect for me but I have an ultimate question

    Before using your iDemocracy software, I DO need to downgrade my Iphone to fw 1.02 ? (really)

    Thanks
    Last edited by Josselin; 10-22-2007 at 12:56 PM.

  24. The Following User Says Thank You to Josselin For This Useful Post:

    Firec0ld (10-27-2007)

  25. #20
    iPhone? More like MyPhone
    Join Date
    Aug 2007
    Location
    Iphone, Iphone.
    Posts
    225
    Thanks
    1
    Thanked 7 Times in 5 Posts

    cool

Page 1 of 11 123 ... LastLast
Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •